class TradOffline(object):
    def __init__(self, lingua, parola):
        ## Lingua:
        ## 0 -> English,
        ## 1 -> Italiano,
        ## 2 -> Francais,
        ## 3 -> Deutsche,
        ## 4 -> Espanol.
        self.lingua = lingua
        self.parola = parola
        self.FILENAME = "data"
        self.fl = open(self.FILENAME,"r")
        self.lines = self.fl.readlines()
        self.traduzioni = []
        self.Trad()
    def Trad(self):
        for linea in self.lines:
            try:
                if linea.split(',')[self.lingua] == self.parola:
                    self.traduzioni = linea.split(',')
                    break
            except: pass
        if len(self.traduzioni) == 0:
            self.traduzioni = ["No result found.","No result found.","No result found.",\
                               "No result found.","No result found.hh"]
        self.fl.close()
            
